Mailinglist Archive: opensuse-buildservice (136 mails)

< Previous Next >
[opensuse-buildservice] Temporary hold on accepting devel:language:python requests
  • From: Todd Rme <toddrme2178@xxxxxxxxx>
  • Date: Thu, 27 Aug 2015 15:50:19 +0200
  • Message-id: <CADb7s=v+GisLVBeNQO8cqPNer0VCEss7AMRcVP6GKDGwk+cLhA@mail.gmail.com>
Short version: please do not accept any submit requests or make any
other changes to devel:languages:python until the following package
has built at least once: python-jupyter_ipywidgets

Long version:

For the last 16 days I have been trying to get all of the core Jupyter
packages in devel:languages:python and devel:languages:python3.
Jupyter is a renaming and modularization of the enormously popular
IPython project. This has been very slow going, because they split
the packages into many parts, and these parts have a lot of
dependencies (including quite a few new ones).

These dependencies include many common python packages. That means
that, in OBS, if any of these dependencies is changed in any way (or
any of its dependencies are changeda, and so on), then everything is
rebuilt from scratch. And unfortunately these new packages seem to be
given a very low priority for building, which means it takes a long
time before OBS actually gets around to building them. This means it
is a process of: get a package in, wait 2 days for it to build, get
another package in, wait 2 days for it to build, and so on for weeks.

I have one more package to go: python-jupyter. Once it is in, the
process is complete. For the last 4 days I have been waiting for the
python-jupyter_notebook package to build. It had one dependency left
before it was going to build, and then an submit request python-Cython
was accepted. Since this is a dependency of all of the
jupyter-related packages, everything will need to rebuild now. That
may very well mean another 2 days wait for me.

Until all of its dependencies have built at least once, I can't
properly package python-jupyter. It will outright refuse to build.
Of the two dependencies that have not built yet,
python-jupyter_ipywidgets package is the most "leaf" one. That means
that once it has built once, all of the other dependencies have as
well.

So if everyone could refrain from making any changes of any kind to
devel:languages:python until that package has been built at least
once, I would greatly appreciate it.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups